edu.isi.pegasus.gridftp

## Class Command

- java.lang.Object
- - edu.isi.pegasus.gridftp.Command

Direct Known Subclasses:
  ListCommand, MakeDirectoryCommand, RemoveCommand

    public abstract class Command
    extends java.lang.Object

### Field Summary

Fields
`protected java.util.Map<java.lang.String,GridFTPConnection>` `connectionCache`
`protected org.ietf.jgss.GSSCredential` `credential`
`protected org.apache.commons.logging.Log` `logger`

### Constructor Summary

Constructors
Constructor and Description
`Command()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`GridFTPConnection` `connect(GridFTPURL url)`
`void` `execute(java.util.List<GridFTPURL> urls)`
`protected abstract void` `run(GridFTPURL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    protected org.apache.commons.logging.Log logger

#### connectionCache

    protected java.util.Map<java.lang.String,GridFTPConnection> connectionCache

#### credential

    protected org.ietf.jgss.GSSCredential credential

### Constructor Detail

#### Command

    public Command()

### Method Detail

#### connect

    public GridFTPConnection connect(GridFTPURL url)
                              throws java.net.ConnectException

Throws:
  `java.net.ConnectException`

#### execute

    public void execute(java.util.List<GridFTPURL> urls)
                 throws java.net.ConnectException,
                        GridFTPException

Parameters:
  `urls` - The list of URLs to operate on
Throws:
  `java.net.ConnectException`
  `GridFTPException`

#### run

    protected abstract void run(GridFTPURL url)
                         throws java.net.ConnectException,
                                GridFTPException

Parameters:
  `url` - The URL to operate on
Throws:
  `java.net.ConnectException`
  `GridFTPException`